# Uses of Class
org.apache.lucene.search.uhighlight.FieldOffsetStrategy

Packages that use FieldOffsetStrategy
Package
Description
org.apache.lucene.search.uhighlight
The UnifiedHighlighter -- a flexible highlighter that can get offsets from postings, term vectors, or analysis.

- ## Uses of FieldOffsetStrategy in org.apache.lucene.search.uhighlight

  Subclasses of FieldOffsetStrategy in org.apache.lucene.search.uhighlight
  Modifier and Type
  Class
  Description
  `class`
  `AnalysisOffsetStrategy`
  Provides a base class for analysis based offset strategies to extend from.
  `class`
  `MemoryIndexOffsetStrategy`
  Uses an `Analyzer` on content to get offsets and then populates a `MemoryIndex`.
  `class`
  `MultiFieldsOffsetStrategy`
  FieldOffsetStrategy that combines offsets from multiple fields.
  `class`
  `NoOpOffsetStrategy`
  Never returns offsets.
  `class`
  `PostingsOffsetStrategy`
  Uses offsets in postings -- `IndexOptions.DOCS_AND_FREQS_AND_POSITIONS_AND_OFFSETS`.
  `class`
  `PostingsWithTermVectorsOffsetStrategy`
  Like `PostingsOffsetStrategy` but also uses term vectors (only terms needed) for multi-term queries.
  `class`
  `TermVectorOffsetStrategy`
  Uses term vectors that contain offsets.
  `class`
  `TokenStreamOffsetStrategy`
  Analyzes the text, producing a single `OffsetsEnum` wrapping the `TokenStream` filtered to terms in the query, including wildcards.
  Fields in org.apache.lucene.search.uhighlight declared as FieldOffsetStrategy
  Modifier and Type
  Field
  Description
  `protected final FieldOffsetStrategy`
  FieldHighlighter.`fieldOffsetStrategy`
  Methods in org.apache.lucene.search.uhighlight that return FieldOffsetStrategy
  Modifier and Type
  Method
  Description
  `protected FieldOffsetStrategy`
  UnifiedHighlighter.`getOffsetStrategy(UnifiedHighlighter.OffsetSource offsetSource, UHComponents components)`
  Methods in org.apache.lucene.search.uhighlight with parameters of type FieldOffsetStrategy
  Modifier and Type
  Method
  Description
  `protected FieldHighlighter`
  UnifiedHighlighter.`newFieldHighlighter(String field, FieldOffsetStrategy fieldOffsetStrategy, BreakIterator breakIterator, PassageScorer passageScorer, int maxPassages, int maxNoHighlightPassages, PassageFormatter passageFormatter, Comparator<Passage> passageSortComparator)`
  Constructors in org.apache.lucene.search.uhighlight with parameters of type FieldOffsetStrategy
  Modifier
  Constructor
  Description
  ``
  `FieldHighlighter(String field, FieldOffsetStrategy fieldOffsetStrategy, BreakIterator breakIterator, PassageScorer passageScorer, int maxPassages, int maxNoHighlightPassages, PassageFormatter passageFormatter, Comparator<Passage> passageSortComparator)`
  Constructor parameters in org.apache.lucene.search.uhighlight with type arguments of type FieldOffsetStrategy
  Modifier
  Constructor
  Description
  ``
  `MultiFieldsOffsetStrategy(List<FieldOffsetStrategy> fieldsOffsetStrategies)`